osl::rating::Open Class Reference

`#include <feature.h>`

Inheritance diagram for osl::rating::Open:

## Public Member Functions

| Open (int p)
bool | match (const NumEffectState &state, Move move, const RatingEnv &) const
bool | effectiveInCheck () const
Public Member Functions inherited from osl::rating::Feature
| Feature (const std::string &name)
virtual | ~Feature ()
const std::string & | name () const

## Static Public Member Functions

static int | index (const NumEffectState &state, Move move)
static const std::string | name (int property)

## Private Attributes

int | property

## Detailed Description

Definition at line 119 of file rating/feature.h.

## Constructor & Destructor Documentation

## Open()

osl::rating::Open::Open | ( | int | p | ) |

inline

Definition at line 123 of file rating/feature.h.

References osl::rating::Feature::Feature(), name(), and property.

## Member Function Documentation

## effectiveInCheck()

bool osl::rating::Open::effectiveInCheck | ( |  | ) | const

inline virtual

Reimplemented from osl::rating::Feature.

Definition at line 136 of file rating/feature.h.

## index()

int osl::rating::Open::index | ( | const NumEffectState & | state,
|  | Move | move )

inline static

Definition at line 124 of file rating/feature.h.

References osl::alt(), osl::Move::from(), osl::rating::CountOpen::index(), osl::Move::isDrop(), and osl::Move::player().

Referenced by osl::rating::OpenGroup::findMatch(), and match().

## match()

bool osl::rating::Open::match | ( | const NumEffectState & | state,
|  | Move | move,
|  | const RatingEnv & | ) const

inline virtual

Implements osl::rating::Feature.

Definition at line 131 of file rating/feature.h.

References index(), and property.

## name()

const std::string osl::rating::Open::name | ( | int | property | ) |

static

Definition at line 36 of file feature.cc.

References property.

Referenced by Open().

## Member Data Documentation

## property

int osl::rating::Open::property

private

Definition at line 121 of file rating/feature.h.

Referenced by match(), name(), and Open().

The documentation for this class was generated from the following files:

- rating/feature.h
- feature.cc